4Suite™ API Documentation

# ► Module Ft.Lib.DistExt.BDistInno

Classes: BDistInno, Component, DirsSection, FilesSection, IconsSection, RunSection, Section, UninstallDeleteSection |  |  |  | Globals: INNO_MAX_VERSION, INNO_MIN_VERSION, ISCC_TEMPLATE, PY_SOURCE_EXTS

## Classes

class BDistInno(distutils.cmd.Command)

  ### Methods

  build_iss_file(self)
    Generate the text of an InnoSetup iss file and return it as a list of strings (one per line).
  finalize_options(self)
    Overrides: finalize_options from class Command
  get_installer_filename(self)
  initialize_options(self)
    Overrides: initialize_options from class Command
  run(self)
    Overrides: run from class Command

  ### Methods inherited from class distutils.cmd.Command

  __getattr__, __init__, announce, copy_file, copy_tree, debug_print, dump_options, ensure_dirname, ensure_filename, ensure_finalized, ensure_string, ensure_string_list, execute, get_command_name, get_finalized_command, get_sub_commands, make_archive, make_file, mkpath, move_file, reinitialize_command, run_command, set_undefined_options, spawn, warn

  ### Members

  boolean_options = ['keep-temp', 'no-target-compile', 'no-target-optimize', 'skip-build']
  command_name = 'bdist_inno'
  description = 'create an executable installer for MS Windows'
  user_options = [('bdist-dir=', None, 'temporary directory for creating the distribution'), ('keep-temp', 'k', 'keep the pseudo-installation tree around after creating the distribution archive'), ('target-version=', None, 'require a specific python version on the target system'), ('no-target-compile', 'c', 'do not compile .py to .pyc on the target system'), ('no-target-optimize', 'o', 'do not compile .py to .pyo (optimized) on the target system'), ('dist-dir=', 'd', 'directory to put final built distributions in'), ('skip-build', None, 'skip rebuilding everything (for testing/debugging)')]

  ### Members inherited from class distutils.cmd.Command

  sub_commands
class Component

  ### Methods

  __init__(self, name, description, types)
  getEntry(self)
  getSection(self, name)
  getSectionEntries(self, name)
  hasEntries(self)

  ### Members

  section_mapping = {'Dirs': <class 'Ft.Lib.DistExt.BDistInno.DirsSection'>, 'Files': <class 'Ft.Lib.DistExt.BDistInno.FilesSection'>, 'Icons': <class 'Ft.Lib.DistExt.BDistInno.IconsSection'>, 'Run': <class 'Ft.Lib.DistExt.BDistInno.RunSection'>, 'UninstallDelete': <class 'Ft.Lib.DistExt.BDistInno.UninstallDeleteSection'>}
class DirsSection(Section)

  ### Methods inherited from class Section

  __init__, addEntry

  ### Methods inherited from class object

  __delattr__, __getattribute__, __hash__, __new__, __reduce__, __reduce_ex__, __repr__, __setattr__, __str__

  ### Members

  optional_parameters = ['Languages', 'MinVersion', 'OnlyBelowVersion', 'BeforeInstall', 'AfterInstall', 'Attribs', 'Permissions', 'Flags']
  required_parameters = ['Name']
  section_name = 'Dirs'

  ### Members inherited from class Section

  __dict__, __weakref__

  ### Members inherited from class object

  __class__
class FilesSection(Section)

  ### Methods inherited from class Section

  __init__, addEntry

  ### Methods inherited from class object

  __delattr__, __getattribute__, __hash__, __new__, __reduce__, __reduce_ex__, __repr__, __setattr__, __str__

  ### Members

  optional_parameters = ['Languages', 'MinVersion', 'OnlyBelowVersion', 'BeforeInstall', 'AfterInstall', 'DestName', 'Excludes', 'CopyMode', 'Attribs', 'Permissions', 'FontInstall', 'Flags']
  required_parameters = ['Source', 'DestDir']
  section_name = 'Files'

  ### Members inherited from class Section

  __dict__, __weakref__

  ### Members inherited from class object

  __class__
class IconsSection(Section)

  ### Methods inherited from class Section

  __init__, addEntry

  ### Methods inherited from class object

  __delattr__, __getattribute__, __hash__, __new__, __reduce__, __reduce_ex__, __repr__, __setattr__, __str__

  ### Members

  optional_parameters = ['Languages', 'MinVersion', 'OnlyBelowVersion', 'BeforeInstall', 'AfterInstall', 'Parameters', 'WorkingDir', 'HotKey', 'Comment', 'IconFilename', 'IconIndex', 'Flags']
  required_parameters = ['Name', 'Filename']
  section_name = 'Icons'

  ### Members inherited from class Section

  __dict__, __weakref__

  ### Members inherited from class object

  __class__
class RunSection(Section)

  ### Methods inherited from class Section

  __init__, addEntry

  ### Methods inherited from class object

  __delattr__, __getattribute__, __hash__, __new__, __reduce__, __reduce_ex__, __repr__, __setattr__, __str__

  ### Members

  optional_parameters = ['Languages', 'MinVersion', 'OnlyBelowVersion', 'BeforeInstall', 'AfterInstall', 'Description', 'Parameters', 'WorkingDir', 'StatusMsg', 'RunOnceId', 'Flags']
  required_parameters = ['Filename']
  section_name = 'Run'

  ### Members inherited from class Section

  __dict__, __weakref__

  ### Members inherited from class object

  __class__
class Section(object)

  ### Methods

  __init__(self)
    Overrides: __init__ from class object
  addEntry(self, **parameters)

  ### Methods inherited from class object

  __delattr__, __getattribute__, __hash__, __new__, __reduce__, __reduce_ex__, __repr__, __setattr__, __str__

  ### Members

  __dict__ = <attribute '__dict__' of 'Section' objects>
  __weakref__ = <attribute '__weakref__' of 'Section' objects>
  optional_parameters = ['Languages', 'MinVersion', 'OnlyBelowVersion', 'BeforeInstall', 'AfterInstall']
  required_parameters = None
  section_name = None

  ### Members inherited from class object

  __class__
class UninstallDeleteSection(Section)

  ### Methods inherited from class Section

  __init__, addEntry

  ### Methods inherited from class object

  __delattr__, __getattribute__, __hash__, __new__, __reduce__, __reduce_ex__, __repr__, __setattr__, __str__

  ### Members

  required_parameters = ['Type', 'Name']
  section_name = 'UninstallDelete'

  ### Members inherited from class Section

  __dict__, __weakref__, optional_parameters

  ### Members inherited from class object

  __class__

## Globals

INNO_MAX_VERSION = '5.1.7'
INNO_MIN_VERSION = '5.1.5'
ISCC_TEMPLATE = '\n[Setup]\nOutputDir=%(output-dir)s\nOutputBaseFile...t of PYTHONPATH }\n end\nend; { NextButtonClick }\n'
PY_SOURCE_EXTS = ('.py', '.pyw')